<html href="/context.html" lang="en" etag="QmYhU2CzzSvcr6cP8RVkVW8QKzmThpFfFnPVUpZpyYXgsL"><head>
    <!--<base href="ipns://situs.run/" />-->
    <link rel="icon" type="image/svg+xml" href="/$/icon/S.svg">
    <title>EditMe</title>
    <meta charset="utf-8">
    <meta author="@yarrow">
    <meta license="CC0-1.0">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/$/style/base.css">
    <script type="module" src="/$/entry.mjs"></script>
  </head>
  <body>
    <header href="/$/template/header.html" etag="QmamS41fxX6cPXUaTep65ue5AsAQEUWyPyC2tV1PkduQjL" scope="A3c8h6j">
    <nav><ul>
        <li><a href="/ReadMe">ReadMe</a></li>
        <li><a href="/EditMe">EditMe</a></li>
    </ul></nav>

    <!--<navigation>
        <a href="/ReadMe" target="main> article">ReadMe</a>
        <a href="/EditMe" target="main> article">EditMe</a>
    </navigation>-->

    <menu>
        <dynamic-icon id="switch-theme" href="/$/template/switch-light-dark.html" src="/$/icon/glasses-bold-solar.svg" etag="QmcymPYoPWcFX6mLF6EbWnXo5ta77MnnjFjD6E2qGJ6eQ3" scope="u9lkhv">
    <meta name="description" content="Switches between light and dark modes.">
<style scoped="">
[scope~="u9lkhv"] {
    height: 1.75em;

    &:hover {
        cursor: pointer;
    }
}
</style>
<script applied="">
console.log('this is the light-dark switch!', this, Boolean(this instanceof Element))

if (this instanceof Element) {
    console.log('applied!', this, document, document.body)
    const $ = (/** @type {HTMLElement} */ (this))

    const setMode = (mode) => {
        console.log('setMode:', document.body)
        $.setAttribute('switch', mode)
        $.setAttribute('src', (mode === 'dark')
            ? '/$/icon/glasses-linear-solar.svg'
            : '/$/icon/glasses-bold-solar.svg')

        document.body?.setAttribute('theme', mode)
        localStorage.setItem('theme', mode)
    }

    const switchMode = () =>
        setMode(($.getAttribute('switch') === 'dark') ? 'light' : 'dark')

    setMode(localStorage.getItem('theme') || 'light')
    $.addEventListener('click', (e) => {
        console.log('clicked!', this)
        startViewTransition(switchMode)
    })
}
</script>
</dynamic-icon>
        <dynamic-icon id="explore" src="/$/icon/move-to-folder-bold-solar.svg"></dynamic-icon>
    </menu>

<style scoped="">
[scope~="A3c8h6j"]:is(header) {
    display: flex;
    &> nav> ul {
        display: flex;
        list-style-type: none;
        &> li {
            padding-right: 1em;

            & dynamic-icon {
                width: 1.5em;
            }
        }
    }
    & #explore {
        position: absolute;
        top: 1em; left: 1em;
    }
    & #switch-theme {
        position: absolute;
        top: 1em; right: 1em;
    }
}
</style>
</header>
    <main>
        <article href="./article.html" editable="" title="EditMe" scope="ar1h6t" etag="QmXNhhLxeW8J7DzmBR8GE3M1MMXkcG4b48G6LGMnC6dfoS">
    <h1>AUTHOR THE HYPERTEXT</h1>
    <h2>Edit Me! You can <b>write <i>whatever</i> <u>you</u> want</b>!</h2>
    <p>Experimenting with building a live-editing environment for documents using native browser features, eg. the <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/contenteditable"><code class="selected">contenteditable</code></a> property. Let's go! Alright! Okay?</p>
    <p>Web pages should feel like <i>living documents</i>. Simply click and type to edit the content. Weehoo!</p>
    <img src="/$/image/Gabriel.jpg">
    <p>Publishing to this IPNS address requires a private key, which is installed into Brave Browser, and also requires configuring the local IPFS gateway to allow API access from this origin. If the key is installed, you may publish content to IPNS by clicking the 'Save' button above. It works! 🕸💓👾</p>
    <p>Here are a few reasons why you will love this template:</p>
    <ul>
        <li><strong>Newspaper.</strong> A crispy <a href="https://astro.build" target="_blank">Astro</a> theme <s>built with <a href="https://tailwindcss.com">Tailwind</a></s>.</li>
        <li><strong>Web-native.</strong> Built with web-native standards: custom-elements embedded directly in plain hypertext.</li>
        <li><strong>Legible code.</strong> JSDoc provides linting for type-sanity, which means that code for release is legible, maintainable, customizable!</li>
        <li><strong>Dynamic.</strong> Publishing dynamic content without rebuilding your site or interacting with a database.</li>
        <li><strong>Dark mode.</strong> Auto dark mode with a manual toggle. Hit that toggle button at the top of the page and see the mode change.</li>
        <li><strong>Mobile first.</strong> Responsive and loads fast in all devices.</li>
        <li><strong>Content authoring for everyone.</strong> Author content directly in the browser. Wizzy-wig (WYSIWYG) to the rescue!</li>
        <li><strong>Extended markdown</strong> with <a href="https://markdoc.dev">Markdoc</a>. Type-safe custom components like YouTube embed, Twitter embed (or anything you want really) in your markdown (<code>.md</code>) files.</li>
        <li>Built-in <strong>RSS feed</strong> for your blog, excellent <strong>SEO</strong> and more.</li>
    </ul>
    <pre>Write your own story!</pre>
</article>
    </main>
    <footer href="/$/template/footer.html" etag="QmSzZ1GsjN1834bk9znfQVx6ZF7aHgQdsw869hqDS3vn5a" scope="Aly3af3">
    <p>This site is inspired by the <a href="https://astro.build/themes/details/blogster-newspaper" target="_blank">Blogster Newspaper</a> theme,<br>is distributed Peer-to-Peer, powered by <a href="https://ipfs.tech/"><ipfs-icon></ipfs-icon></a>,<br> and best rendered by <a href="https://brave.com/"><brave-color-icon style="height: 2em;"></brave-color-icon></a>.</p>
    <section class="badges">
        <a href="https://creativecommons.org/"><cc-heart-icon></cc-heart-icon></a>
    </section>
    <pre id="copy-left">🄯</pre>
    <a href="https://creativecommons.org/publicdomain/zero/1.0/legalcode">
        <public-domain-badge></public-domain-badge>
    </a>
<style scoped="">
[scope~="Aly3af3"]:is(footer) {
    position: relative;

    & .badges {
        margin-bottom: 20px;
        & a {
            text-decoration: none;
        }
        & .icon {
            width: 2.5em;
            height: 2.5em;
            &:nth-child(2) {
                width: 3.5em;
                height: 3.5em;
                & svg {
                    transform: translate3d(0, 10%, 0);
                }
            }
        }
    }

    & #copy-left {
        position: absolute;
        bottom: 0; left: 0;
        font-size: 2em;
        font-weight: 600;
        margin: 0 0 0.5em 0;
    }

    & cc-zero-icon, public-domain-badge {
        position: absolute;
        bottom: 0; right: 0;
        bottom: 1em;
    }
}
</style>
<script applied="">// <script applied as="$el">
    if (this instanceof Element) {
        const $badges = this.querySelector('.badges')
        $badges.addEventListener('click', () => {
            console.log('Clicked badges!')
        })
    }
</script>
</footer>
  
</body></html>